export interface Condition {
    type: string;
    list: ConditionItem[];
}
export interface ConditionItem {
    type: string;
    list: ConditionItemParams[];
}
export interface ConditionOption {
    isCondition: boolean;
    columnKey: string;
    condition: Condition;
    fontWeight: string;
    fontSize: number;
    color: string;
    fontFamily: string;
    fontStyle: string;
    textDecoration: string;
    isBgColor: boolean;
    bgColor: string;
}
export interface ConditionItemParams {
    key: string;
    value: string;
    condition: string;
}
export interface Movement {
    type: string;
    handleTarget: string;
    showList: any[];
    hiddenList: any[];
    linkUrl: string;
}
export interface MutualConditionList {
    conditionType: string;
    list: ConditionItemParams[];
}
export interface MutualCondition {
    conditionType: string;
    list: MutualConditionList[];
}
export interface MutualOption {
    eventType: string;
    mutualIsCondition: boolean;
    mutualCondition: MutualCondition;
    movement: Movement[];
}
export interface Params {
    key: string;
    value: string;
    link: string;
}
export interface DataSourceOption {
    dataSourceType: string;
    dataSourceUrl: string;
    dataSourceName: string;
    dataSourceIsProxy: boolean;
    dataSourceIsCustom: boolean;
    dataSourceJsonBody: object;
    dataSourceParams: Params[];
    dataSourceHeader: Params[];
}
export interface BTextComponentProps {
    content: any;
    componentData: any;
    isWhiteSpace: boolean;
    layerName: string;
    isDisplay: boolean;
    fieldTag: string;
    isRelation: boolean;
    display: string;
    alignItems: string;
    justifyContent: string;
    transform: number;
    isColor: boolean;
    color: string;
    colorValue: string;
    fontFamily: string;
    fontSize: number;
    fontWeight: string;
    fontStyle: string;
    textDecoration: string;
    overflow: string;
    cursor: string;
    lineHeight: number;
    letterSpacing: number;
    textIndent: number;
    opacity: number;
    width: number;
    height: number;
    left: number;
    top: number;
    isBackgroundColor: boolean;
    backgroundColor: string;
    backgroundColorValue: string;
    paddingTop: number;
    paddingRight: number;
    paddingBottom: number;
    paddingLeft: number;
    isAllBorderRadius: boolean;
    borderRadius: number;
    borderRadiusAllValue: number;
    borderTopLeftRadiusValue: number;
    borderTopRightRadiusValue: number;
    borderBottomLeftRadiusValue: number;
    borderBottomRightRadiusValue: number;
    isBorder: boolean;
    borderStyleValue: string;
    borderWidthValue: number;
    borderColorValue: string;
    isBoxShadow: boolean;
    boxShadow: string;
    boxShadowH: number;
    boxShadowV: number;
    boxShadowBlur: number;
    boxShadowSpread: number;
    boxShadowColor: string;
    boxShadowInset: boolean;
    filter: number;
    filterValue: number;
    dataIsFilter: boolean;
    dataFilterCode: string;
    dataIsAutoUpdate: boolean;
    dataAutoUpdateTime: number;
    dataSourceOption: DataSourceOption;
    mutualOption: MutualOption[];
    conditionOption: ConditionOption[];
}
export declare const bTextDefaultProps: BTextComponentProps;
export declare const bTextStylePropNames: string[];
